Get a product
curl --request GET \
--url https://api.spacebring.com/shop/products/v1/{productId} \
--header 'Authorization: Basic <encoded-value>'{
"product": {
"categoryRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"featured": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "<string>",
"locale": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
{
"available": true,
"createDate": "2023-11-07T05:31:56Z",
"customTax": {
"enabled": true,
"rate": 123
},
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": {
"credits": {
"amount": 123,
"enabled": true,
"amountDiscounted": 123
},
"money": {
"amount": 123,
"currencyCode": "<string>",
"enabled": true,
"amountDiscounted": 123
}
},
"stock": {
"enabled": true,
"quantity": 123
},
"title": "<string>"
}
],
"order": {
"enabled": true
},
"title": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
}
}Shop
Get a product
Get a certain product.
OAuth
Required scopes:shopGET
/
shop
/
products
/
v1
/
{productId}
Get a product
curl --request GET \
--url https://api.spacebring.com/shop/products/v1/{productId} \
--header 'Authorization: Basic <encoded-value>'{
"product": {
"categoryRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"featured": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "<string>",
"locale": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": [
{
"available": true,
"createDate": "2023-11-07T05:31:56Z",
"customTax": {
"enabled": true,
"rate": 123
},
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": {
"credits": {
"amount": 123,
"enabled": true,
"amountDiscounted": 123
},
"money": {
"amount": 123,
"currencyCode": "<string>",
"enabled": true,
"amountDiscounted": 123
}
},
"stock": {
"enabled": true,
"quantity": 123
},
"title": "<string>"
}
],
"order": {
"enabled": true
},
"title": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
}
}Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the product.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I